Package org.freeplane.api

# Class NodeChanged

java.lang.Object
org.freeplane.api.NodeChanged

public class NodeChanged extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `NodeChanged.ChangedElement`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NodeChanged(Node node, NodeChanged.ChangedElement changedElement)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NodeChanged.ChangedElement`
  `getChangedElement()`
  `Node`
  `getNode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NodeChanged

    public NodeChanged(Node node, NodeChanged.ChangedElement changedElement)

- ## Method Details

  - ### getNode

    public Node getNode()

  - ### getChangedElement

    public NodeChanged.ChangedElement getChangedElement()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`